'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

require('./styles');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

// Styles


var Search = function Search(_ref) {
	var className = _ref.className,
	    rest = _objectWithoutProperties(_ref, ['className']);

	return _react2.default.createElement(_semanticUiReact.Input, _extends({ className: (0, _classnames2.default)('et-module-search', className) }, rest));
};

Search.displayName = 'Search';
Search.defaultProps = {
	icon: 'search',
	placeholder: 'Search...'
};

exports.default = Search;