'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _MuiThemeProvider = require('material-ui/styles/MuiThemeProvider');

var _MuiThemeProvider2 = _interopRequireDefault(_MuiThemeProvider);

var _animate = require('animate');

var _animate2 = _interopRequireDefault(_animate);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var Actions = function Actions(_ref) {
    var children = _ref.children,
        position = _ref.position,
        show = _ref.show,
        fluid = _ref.fluid,
        animate = _ref.animate,
        className = _ref.className,
        props = _objectWithoutProperties(_ref, ['children', 'position', 'show', 'fluid', 'animate', 'className']);

    return _react2.default.createElement(
        _animate2.default,
        _extends({ className: (0, _classnames2.default)('et-actions-container', {
                'et-show': show
            }), animate: animate }, props),
        show && _react2.default.createElement(
            _MuiThemeProvider2.default,
            null,
            _react2.default.createElement(
                _semanticUiReact.Menu,
                { secondary: true },
                _react2.default.createElement(
                    _semanticUiReact.Menu.Menu,
                    { className: (0, _classnames2.default)('et-actions', className), position: position },
                    children
                )
            )
        )
    );
};

Actions.displayName = 'Actions';
Actions.defaultProps = {
    position: 'right',
    animate: 'fadeInOut'
};

exports.default = Actions;