import cx from 'classnames'
import React from 'react'
import Item from './Item'
import { blue } from 'scripts/colors'

const Main = ({ children, hoverIcon, className, ...props }) => (
    <Item className={ cx('et-main', {
        'et-single': React.Children.count(children) === 1
    }, className) } { ...props }>
        { children }
    </Item>
)

Main.defaultProps = {
    color: blue
}

export default Main
