import React from 'react'
import { Popup } from 'semantic-ui-react'

const PopupWrapper = ({ children, header, content, ...rest }) => (
	<Popup trigger={ children } { ...rest }>
		{ header && <Popup.Header>{ header }</Popup.Header> }
		{ content && <Popup.Content>{ content }</Popup.Content> }
	</Popup>
)

export default PopupWrapper
