import React from 'react'
import Responsive from 'react-responsive'

export const Desktop  = props => <Responsive { ...props } minWidth={ 992 } />
export const Touch    = props => <Responsive { ...props } maxWidth={ 991 } />
export const Tablet   = props => <Responsive { ...props } minWidth={ 768 } maxWidth={ 991 } />
export const Mobile   = props => <Responsive { ...props } maxWidth={ 767 } />
export const Default  = props => <Responsive { ...props } minWidth={ 768 } />
export const Lanscape = props => <Responsive { ...props } orientation="landscape" />
export const Portrait = props => <Responsive { ...props } orientation="portrait" />
