import cx from 'classnames'
import React from 'react'
import { Menu } from 'semantic-ui-react'

export default ({ children, className, ...props }) => (
	<Menu.Menu position='right' className={cx('et-items', className)} { ...props }>
		{ children }
	</Menu.Menu>
)
