'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Item = require('./Item');

var _Item2 = _interopRequireDefault(_Item);

var _colors = require('scripts/colors');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var Main = function Main(_ref) {
    var children = _ref.children,
        hoverIcon = _ref.hoverIcon,
        className = _ref.className,
        props = _objectWithoutProperties(_ref, ['children', 'hoverIcon', 'className']);

    return _react2.default.createElement(
        _Item2.default,
        _extends({ className: (0, _classnames2.default)('et-main', {
                'et-single': _react2.default.Children.count(children) === 1
            }, className) }, props),
        children
    );
};

Main.displayName = 'Main';
Main.defaultProps = {
    color: _colors.blue
};

exports.default = Main;