'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Portrait = exports.Lanscape = exports.Default = exports.Mobile = exports.Tablet = exports.Touch = exports.Desktop = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactResponsive = require('react-responsive');

var _reactResponsive2 = _interopRequireDefault(_reactResponsive);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Desktop = exports.Desktop = function Desktop(props) {
  return _react2.default.createElement(_reactResponsive2.default, _extends({}, props, { minWidth: 992 }));
};
Desktop.displayName = 'Desktop';
var Touch = exports.Touch = function Touch(props) {
  return _react2.default.createElement(_reactResponsive2.default, _extends({}, props, { maxWidth: 991 }));
};
Touch.displayName = 'Touch';
var Tablet = exports.Tablet = function Tablet(props) {
  return _react2.default.createElement(_reactResponsive2.default, _extends({}, props, { minWidth: 768, maxWidth: 991 }));
};
Tablet.displayName = 'Tablet';
var Mobile = exports.Mobile = function Mobile(props) {
  return _react2.default.createElement(_reactResponsive2.default, _extends({}, props, { maxWidth: 767 }));
};
Mobile.displayName = 'Mobile';
var Default = exports.Default = function Default(props) {
  return _react2.default.createElement(_reactResponsive2.default, _extends({}, props, { minWidth: 768 }));
};
Default.displayName = 'Default';
var Lanscape = exports.Lanscape = function Lanscape(props) {
  return _react2.default.createElement(_reactResponsive2.default, _extends({}, props, { orientation: 'landscape' }));
};
Lanscape.displayName = 'Lanscape';
var Portrait = exports.Portrait = function Portrait(props) {
  return _react2.default.createElement(_reactResponsive2.default, _extends({}, props, { orientation: 'portrait' }));
};
Portrait.displayName = 'Portrait';