'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _Checkbox = require('material-ui/Checkbox');

var _Checkbox2 = _interopRequireDefault(_Checkbox);

var _MuiThemeProvider = require('material-ui/styles/MuiThemeProvider');

var _MuiThemeProvider2 = _interopRequireDefault(_MuiThemeProvider);

var _indeterminateCheckBox = require('material-ui/svg-icons/toggle/indeterminate-check-box');

var _indeterminateCheckBox2 = _interopRequireDefault(_indeterminateCheckBox);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Cell = require('./Cell');

var _Cell2 = _interopRequireDefault(_Cell);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

exports.default = function (_ref) {
	var children = _ref.children,
	    show = _ref.show,
	    checked = _ref.checked,
	    intermediate = _ref.intermediate,
	    onCheck = _ref.onCheck,
	    props = _objectWithoutProperties(_ref, ['children', 'show', 'checked', 'intermediate', 'onCheck']);

	return _react2.default.createElement(
		_Cell2.default,
		_extends({ className: (0, _classnames2.default)('et-checkable', {
				'et-show': show || checked
			}) }, props),
		show || checked ? _react2.default.createElement(
			_MuiThemeProvider2.default,
			null,
			_react2.default.createElement(_Checkbox2.default, {
				checked: checked,
				onCheck: onCheck,
				uncheckedIcon: intermediate ? _react2.default.createElement(_indeterminateCheckBox2.default, null) : null
			})
		) : children
	);
};