import React from 'react'

const IsoScroll = ({ children, ...props }) => (
	<div
	onMouseEnter={ () => document.body.classList.add('disable-scroll') }
	onMouseLeave={ () => document.body.classList.remove('disable-scroll') }
	{ ...props }>
		{ children }
	</div>
)

export default IsoScroll
