import cx from 'classnames'
import React from 'react'
import { Input } from 'semantic-ui-react'

// Styles
import './styles'

const Search = ({ className, ...rest }) => (
	<Input className={ cx('et-module-search', className) } { ...rest }/>
)

Search.defaultProps = {
	icon: 'search',
	placeholder: 'Search...'
}

export default Search
