import cx from 'classnames'
import React from 'react'
import { Menu } from 'semantic-ui-react'

const Item = ({ children, className, ...props }) => (
	<Menu.Item fitted className={cx('et-item', className)} { ...props }>
		{ children }
	</Menu.Item>
)

export default Item
