import Animate  from 'animate'
import React from 'react'
import { Menu } from 'semantic-ui-react'

export default ({ children, ...props }) => (
    <Menu.Item fitted className='et-labels'>
        <Animate className='et-labels-container' enter='zoomIn' leave='bounceOut' { ...props }>
        {
            React.Children.map(children, (child, index) => {
                return child.props.show ? React.cloneElement(child, {
                    key: index
                }) : null
            })
        }
        </Animate>
    </Menu.Item>
)
