import cx from 'classnames'
import React from 'react'
import { Grid, Menu } from 'semantic-ui-react'

export default ({ children, className, ...props }) => (
	<Grid.Row columns={1}>
		<Grid.Column>
			<Menu stackable secondary className={cx('et-menu', className)} { ...props }>
				{ children }
			</Menu>
		</Grid.Column>
	</Grid.Row>
)
